#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then
  
  info1="Kasowanie incubusCamd.conf"
  info2="Kasowanie incubusCamd.prio"
  info3="Pobieranie incubusCamd.conf"
  info4="Pobieranie incubusCamd.prio"
  info5="incubusCamd.conf pobrany !"
  info6="Instalacja incubusCamd.conf nie powiodla sie !"
  info7="incubusCamd.prio pobrany !"
  info8="Instalacja incubusCamd.prio nie powiodla sie !"

elif [ $lang == en ]; then
 
  info1="Deleting incubusCamd.conf"
  info2="Deleting incubusCamd.prio"
  info3="Downloading incubusCamd.conf"
  info4="Downloading incubusCamd.prio"
  info5="incubusCamd.conf downloaded!"
  info6="incubusCamd.conf installation error!"
  info7="incubusCamd.prio downloaded!"
  info8="incubusCamd.prio installation error!"  

elif [ $lang == ar ]; then
 
  info1="incubusCamd.conf حذف"
  info2="incubusCamd.prio حذف"
  info3="incubusCamd.conf تحميل"
  info4="incubusCamd.prio تحميل"
  info5="incubusCamd.conf تم تحميل"
  info6="incubusCamd.conf حدثت مشكلة أثناء تنصيب"
  info7="incubusCamd.prio تم تحميل"
  info8="incubusCamd.prio حدثت مشكلة أثناء تنصيب"

elif [ $lang == fr ]; then
 
  info1="supprimer incubusCamd.conf"
  info2="supprimer incubusCamd.prio"
  info3="Telechargement de incubusCamd.conf"
  info4="Telechargement de incubusCamd.prio"
  info5="incubusCamd.conf telecharge!"
  info6="incubusCamd.conf erreur dans la installation!"
  info7="incubusCamd.prio telecharge!"
  info8="incubusCamd.prio erreur dans la installation!"  
  
elif [ $lang == de ]; then
 
  info1="Losche incubusCamd.conf"
  info2="Losche incubusCamd.prio"
  info3="Lade incubusCamd.conf"
  info4="Lade incubusCamd.prio"
  info5="incubusCamd.conf geladen !"
  info6="Instalieren incubusCamd.conf fehlgeschlagen !"
  info7="incubusCamd.prio geladen !"
  info8="Instalieren incubusCamd.prio fehlgeschlagen !"

elif [ $lang == it ]; then
 
  info1="Cancello incubusCamd.conf"
  info2="Cancello incubusCamd.prio"
  info3="Scarico incubusCamd.conf"
  info4="Scarico incubusCamd.prio"
  info5="incubusCamd.conf scaricato!"
  info6="incubusCamd.conf: errore durante l'installazione!"
  info7="incubusCamd.prio scaricato!"
  info8="incubusCamd.prio: errore durante l'installazione!"

elif [ $lang == es ]; then
  info1="incubusCamd.conf se esta borrando"
  info2="incubusCamd.prio se esta borrando"
  info3="incubusCamd.conf se esta descargando"
  info4="incubusCamd.prio se esta descargando"
  info5="incubusCamd.conf Descargado e Instalado!"
  info6="incubusCamd.conf Error en la instalacion!"
  info7="incubusCamd.prio Descargado e Instalado!"
  info8="incubusCamd.prio Error en la instalacion!" 

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ -s /var/keys/incubusCamd.conf ] ; then
    echo $info1
    rm /var/keys/incubusCamd.conf 2>/dev/null
    sleep 3
 fi
 if [ -s /var/keys/incubusCamd.prio ] ; then
    echo $info2
    rm /var/keys/incubusCamd.prio 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/incubusCamd.conf -q -O /var/keys/incubusCamd.conf 2>/dev/null
echo $info4
  wget $ADRES/incubusCamd.prio -q -O /var/keys/incubusCamd.prio 2>/dev/null
sleep 5

 if [ -s /var/keys/incubusCamd.conf ] ; then
    echo $info5
 else
    echo $info6
 fi
 if [ -s /var/keys/incubusCamd.prio ] ; then
    echo $info7
 else
    echo $info8
 fi

echo ""

exit 0